import os
import numpy as np
from MyQR import myqr


background_img = np.zeros((400, 400, 4), dtype=np.uint8)
background_img[:, :, 3] = 255
background_img[:, :, 0] = 127

FOLDER_PATH = os.path.dirname(os.path.abspath(__file__))
FILE_PATH = os.path.join(FOLDER_PATH, "UB_circle.png")

print(FILE_PATH)

version, level, qr_name = myqr.run(
    "This is a colored QR code. Shall we use it? Also with UB logo!",
    version=7,
    level='H',
    picture=FILE_PATH,
    colorized=True,
    contrast=1.0,
    brightness=1.0,
    save_name="images/myqr_circle.png",
    save_dir=os.getcwd()
    )

print(version, level, qr_name)
